## ros-one-fake-joint-launch 0.0.4-6jammy.20251023.1134

=== debian/changelog ===
ros-one-fake-joint-launch (0.0.4-6jammy.20251023.1134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 11:34:07 +0000

ros-one-fake-joint-launch (0.0.4-0jammy) jammy; urgency=high

  * Changes for melodic release (#4 <https://github.com/tork-a/fake_joint/issues/4>)
    - Add melodic entries for travis.yml
    - Remove and rename files which is not supported by current Melodic release
    - Rename UR related launch files for Melodic release
  * Remove dependencies that are not in melodic (#6 <https://github.com/tork-a/fake_joint/issues/6>)
  * Remove vs060 example
  * Contributors: Ryosuke Tajima, Tyler Weaver

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 18 Dec 2019 00:00:00 -0000

ros-one-fake-joint-launch (0.0.3-0jammy) jammy; urgency=high

  * Add start_position parameter (#3 <https://github.com/tork-a/fake_joint/issues/3>)
    - Set start position of Nextage Open
  * Add remap of action name for nextage.launch
  * 0.0.2
  * Add fake_joint meta-package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Aug 2018 00:00:00 -0000

ros-one-fake-joint-launch (0.0.1-0jammy) jammy; urgency=high

  * Add README and image
  * Add abb_irb2400 settings
  * Add pr2 settings
  * Add nextage settings
  * Add vs060 settings
  * Add package dependency
  * Add package dependency
  * Add tra1 settings
  * Add launch and re-organize the package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 16 Aug 2018 00:00:00 -0000

## ros-one-fake-joint-launch 0.0.4-6jammy.20260221.2253

=== debian/changelog ===
ros-one-fake-joint-launch (0.0.4-6jammy.20260221.2253) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 22:53:53 +0000

## ros-one-fake-joint-launch 0.0.4-6noble.20251023.1202

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fake_joint_launch)

find_package(catkin REQUIRED COMPONENTS
  fake_joint_driver
  rostest
  roslaunch
)

catkin_package(
  CATKIN_DEPENDS fake_joint_driver
)

include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

=== debian/changelog ===
ros-one-fake-joint-launch (0.0.4-6noble.20251023.1202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 12:02:21 +0000

ros-one-fake-joint-launch (0.0.4-0noble) noble; urgency=high

  * Changes for melodic release (#4 <https://github.com/tork-a/fake_joint/issues/4>)
    - Add melodic entries for travis.yml
    - Remove and rename files which is not supported by current Melodic release
    - Rename UR related launch files for Melodic release
  * Remove dependencies that are not in melodic (#6 <https://github.com/tork-a/fake_joint/issues/6>)
  * Remove vs060 example
  * Contributors: Ryosuke Tajima, Tyler Weaver

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 18 Dec 2019 00:00:00 -0000

ros-one-fake-joint-launch (0.0.3-0noble) noble; urgency=high

  * Add start_position parameter (#3 <https://github.com/tork-a/fake_joint/issues/3>)
    - Set start position of Nextage Open
  * Add remap of action name for nextage.launch
  * 0.0.2
  * Add fake_joint meta-package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Aug 2018 00:00:00 -0000

ros-one-fake-joint-launch (0.0.1-0noble) noble; urgency=high

  * Add README and image
  * Add abb_irb2400 settings
  * Add pr2 settings
  * Add nextage settings
  * Add vs060 settings
  * Add package dependency
  * Add package dependency
  * Add tra1 settings
  * Add launch and re-organize the package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 16 Aug 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-fake-joint-launch
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-fake-joint-driver, ros-one-roslaunch, ros-one-rostest
Homepage: http://wiki.ros.org/fake_joint_launch
Standards-Version: 3.9.2

Package: ros-one-fake-joint-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-manager, ros-one-fake-joint-driver, ros-one-pr2-description, ros-one-robot-state-publisher, ros-one-roslaunch, ros-one-rostest, ros-one-rviz
Description: Collection of the launch files for fake_joint_driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fake-joint-launch//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fake-joint-launch 0.0.4-6noble.20260221.2357

=== debian/changelog ===
ros-one-fake-joint-launch (0.0.4-6noble.20260221.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 23:57:13 +0000
